> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single item for a style

> Returns a single item as added to a given style, including quantity, placement (description), and the full item detail with brand, supplier, categories, parts (quality), admin unit, and logo. Boolean flags are represented as string arrays in the 'properties' fields.



## OpenAPI

````yaml /openapi/external.enriched.json get /api/styles/{styleId}/items/{styleItemId}
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/styles/{styleId}/items/{styleItemId}:
    get:
      tags:
        - StyleItems
      summary: Get a single item for a style
      description: >-
        Returns a single item as added to a given style, including quantity,
        placement (description), and the full item detail with brand, supplier,
        categories, parts (quality), admin unit, and logo. Boolean flags are
        represented as string arrays in the 'properties' fields.
      parameters:
        - name: styleId
          in: path
          required: true
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: styleItemId
          in: path
          required: true
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleItemDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleItemDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleItemDto'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
      security:
        - {}
components:
  schemas:
    ApiResponseOfStyleItemDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemDto'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
      additionalProperties: false
    ApiResponseStatus: {}
    StyleItemDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        styleId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        description:
          type:
            - 'null'
            - string
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        quantity:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        dateAdded:
          type:
            - 'null'
            - string
          format: date-time
        state:
          $ref: '#/components/schemas/StyleItemState'
        itemSize:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemSizeDto'
        item:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemDetailDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    StyleItemState: {}
    StyleItemSizeDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/StyleItemState'
        deadline:
          type:
            - 'null'
            - string
          format: date-time
        etd:
          type:
            - 'null'
            - string
          format: date-time
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        physicalReferenceNumber:
          type:
            - 'null'
            - string
        erpSizeId:
          type:
            - 'null'
            - string
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    StyleItemDetailDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/StyleItemState'
        description:
          type:
            - 'null'
            - string
        brand:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemBrandDto'
        organization:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemOrganizationDto'
        supplier:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemSupplierDto'
        companyContactPerson:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemContactPersonDto'
        supplierContactPerson:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemContactPersonDto'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/StyleItemCategoryDto'
        parts:
          type: array
          items:
            $ref: '#/components/schemas/StyleItemPartDto'
        adminUnit:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemAdminUnitDto'
        logo:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleItemLogoDto'
        lastUpdated:
          type: string
          format: date-time
        deadline:
          type:
            - 'null'
            - string
          format: date-time
        etd:
          type:
            - 'null'
            - string
          format: date-time
        erpItemId:
          type:
            - 'null'
            - string
        defaultQty:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        nameGeneratorExtraText:
          type:
            - 'null'
            - string
        physicalReferenceNumber:
          type:
            - 'null'
            - string
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    StyleItemBrandDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleItemOrganizationDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleItemSupplierDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleItemContactPersonDto:
      type: object
      properties:
        id:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleItemCategoryDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleItemPartDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        value:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        unit:
          type:
            - 'null'
            - string
        materials:
          type: array
          items:
            $ref: '#/components/schemas/StyleItemMaterialDto'
      additionalProperties: false
    StyleItemAdminUnitDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    StyleItemLogoDto:
      type: object
      properties:
        id:
          type:
            - 'null'
            - string
        url:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleItemMaterialDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        percentage:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
      additionalProperties: false

````